| GET | /RestApi/ab-testing/{id} |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | path | Guid | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | form | Guid | No | |
| Title | form | string | No | |
| Description | form | string | No | |
| StartDate | form | DateTime? | No | |
| StopDate | form | DateTime? | No | |
| Page | form | Guid | No | |
| SiteId | form | Guid | No | |
| Culture | form | string | No | |
| Variations | form | IEnumerable<VariationViewModel> | No | |
| Goals | form | IEnumerable<GoalViewModel> | No | |
| ReportUrl | form | string | No | |
| LastModified | form | DateTime | No | |
| Status | form | ABTestStatus | No | |
| Owner | form | string | No | |
| WinnerVariationId | form | Guid? | No | |
| SelectedVariationId | form | Guid? | No | |
| PageNodeErrorMessage | form | string | No | |
| WarningMessage | form | string | No | |
| ApiKey | form | string | No | |
| UserSegmentId | form | Guid? | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | form | Guid? | No | |
| Name | form | string | No | |
| Distribution | form | int | No | |
| IsOriginal | form | bool | No | |
| Ordinal | form | int | No | |
| PageDataId | form | Guid? | No | |
| IsWinner | form | bool | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | form | Guid? | No | |
| GoalType | form | GoalType | No | |
| GoalNameResourceKey | form | string | No | |
| PredicateOperator | form | string | No | |
| ObjectId | form | string | No | |
| ObjectName | form | string | No | |
| ObjectCulture | form | string | No | |
| IsPrimary | form | bool | No | |
| Ordinal | form | int | No |
| NextPageView | |
| FormSubmission | |
| DecConversion |
| NotStarted | |
| Scheduled | |
| Active | |
| Stopped | |
| Ended |
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/ab-testing/{id} HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
Title: String,
Description: String,
StartDate: 0001-01-01,
StopDate: 0001-01-01,
Culture: String,
ReportUrl: String,
LastModified: 0001-01-01,
Status: NotStarted,
Owner: String,
WinnerVariationId: 00000000-0000-0000-0000-000000000000,
SelectedVariationId: 00000000-0000-0000-0000-000000000000,
PageNodeErrorMessage: String,
WarningMessage: String,
ApiKey: String,
UserSegmentId: 00000000-0000-0000-0000-000000000000
}